Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface FormHandler

All Superinterfaces:
  java.util.EventListener

    public interface FormHandler

extends java.util.EventListener

Handler interface for form submit events.

Method Summary
`void` | `onSubmit(FormSubmitEvent event)` Fired when the form is submitted.
`void` | `onSubmitComplete(FormSubmitCompleteEvent event)` Fired when a form has been submitted successfully.

Method Detail

### onSubmit

    void onSubmit(FormSubmitEvent event)

  Fired when the form is submitted.

  The FormPanel must not be detached (i.e. removed from its parent or otherwise disconnected from a `RootPanel`) until the submission is complete. Otherwise, notification of submission will fail.

  Parameters:
    `event` - an event object containing information about the form submission

### onSubmitComplete

    void onSubmitComplete(FormSubmitCompleteEvent event)

  Fired when a form has been submitted successfully.

  Parameters:
    `event` - an event object containing information about the form submission

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD